Index: tmp/org.txm.analec.rcp/src/visuAnalec/util/GMessages.java
===================================================================
--- tmp/org.txm.analec.rcp/src/visuAnalec/util/GMessages.java	(revision 3077)
+++ tmp/org.txm.analec.rcp/src/visuAnalec/util/GMessages.java	(revision 3078)
@@ -14,89 +14,103 @@
  * @author Bernard
  */
 public class GMessages {
-  public static boolean confirmationAction(String texte) {
-    return (JOptionPane.showConfirmDialog(null, texte, "Confirmation d'action",
-            JOptionPane.OK_CANCEL_OPTION, JOptionPane.QUESTION_MESSAGE)
-            !=JOptionPane.CANCEL_OPTION);
-  }
-
-  public static void pasImplemente() {
-    JOptionPane.showMessageDialog(null, "Désolé, cette fonctionnalité n'est pas encore implémentée",
-            "Patience...", JOptionPane.INFORMATION_MESSAGE);
-    return;
-  }
-
-  public static void impossibiliteAction(String texte) {
-    JOptionPane.showMessageDialog(null, texte,
-            "Désolé...", JOptionPane.INFORMATION_MESSAGE);
-    return;
-  }
-
-  public static void erreurFatale(Throwable ex) {
-    String message = "<center><b>Désolé pour ce bug... Vous allez devoir relancer Analec.</b></center>"
-            +"<i><br>Veuillez recopier  le message d'erreur ci-dessous et l'envoyer au concepteur du logiciel"
-            +" <br>en précisant les conditions dans lequel ce bug s'est produit</i>";
-    String erreur = "<p>"+ex.toString();
-    ex.printStackTrace();
-    for (StackTraceElement tr : ex.getStackTrace())
-      if (tr.getClassName().startsWith("visuAnalec")||tr.getClassName().startsWith("JamaPlus") )
-        erreur += "<br>"+tr.getClassName()+" : "+tr.getMethodName()+" ligne "+tr.getLineNumber();
-    JEditorPane dialogue = new JEditorPane("text/html", message+erreur);
-    JOptionPane.showMessageDialog(null, dialogue, "Oups !", JOptionPane.ERROR_MESSAGE);
-   // System.exit(1);
-  }
-
-  public abstract static class GAction extends AbstractAction {
-    public GAction(String nom) {
-      super(nom);
-    }
-
-    public GAction(String nom, Icon icone) {
-      super(nom, icone);
-    }
-
-    public abstract void executer();
-
-    public void actionPerformed(ActionEvent evt) {
-      try {
-        executer();
-      } catch (Throwable ex) {
-        erreurFatale(ex);
-      }
-    }
-  }
-
-  public abstract static class GActionClavier extends GAction {
-    public GActionClavier(JComponent composant, String nom, String... touches) {
-      super(nom);
-      for(String touche: touches) {
-        composant.getInputMap(JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT).put(
-                KeyStroke.getKeyStroke(touche), nom);
-      }
-      composant.getActionMap().put(nom, this);
-    }
-  }
-  public static class GProgression extends ProgressMonitor  {
-    private int compteur;
-    private String elementsTraites;
-
-    public GProgression(int max, String traitement, String elementsTraites) {
-      super(null, traitement + " en cours", "Démarrage", 0, max);
-      this.elementsTraites = elementsTraites;
-//      setMillisToPopup(0);
-      compteur = 0;
-     }
-
-    public void setNbTraites(int nb) {
-      compteur = nb;
-      SwingUtilities.invokeLater(new MiseAJour());
-    }
-
-    class MiseAJour implements Runnable {
-      public void run() {
-        setProgress(compteur);
-        setNote(compteur +" "+ elementsTraites + " traités");
-      }
-    }
-  }
-}
\ No newline at end of file
+	
+	public static boolean confirmationAction(String texte) {
+		return (JOptionPane.showConfirmDialog(null, texte, "Confirmation d'action",
+				JOptionPane.OK_CANCEL_OPTION, JOptionPane.QUESTION_MESSAGE) != JOptionPane.CANCEL_OPTION);
+	}
+	
+	public static void pasImplemente() {
+		JOptionPane.showMessageDialog(null, "Désolé, cette fonctionnalité n'est pas encore implémentée",
+				"Patience...", JOptionPane.INFORMATION_MESSAGE);
+		return;
+	}
+	
+	public static void impossibiliteAction(String texte) {
+		JOptionPane.showMessageDialog(null, texte,
+				"Désolé...", JOptionPane.INFORMATION_MESSAGE);
+		return;
+	}
+	
+	public static void erreurFatale(Throwable ex) {
+		String message = "<center><b>Désolé pour ce bug... Vous allez devoir relancer Analec.</b></center>"
+				+ "<i><br>Veuillez recopier  le message d'erreur ci-dessous et l'envoyer au concepteur du logiciel"
+				+ " <br>en précisant les conditions dans lequel ce bug s'est produit</i>";
+		String erreur = "<p>" + ex.toString();
+		ex.printStackTrace();
+		for (StackTraceElement tr : ex.getStackTrace())
+			if (tr.getClassName().startsWith("visuAnalec") || tr.getClassName().startsWith("JamaPlus"))
+				erreur += "<br>" + tr.getClassName() + " : " + tr.getMethodName() + " ligne " + tr.getLineNumber();
+		JEditorPane dialogue = new JEditorPane("text/html", message + erreur);
+		JOptionPane.showMessageDialog(null, dialogue, "Oups !", JOptionPane.ERROR_MESSAGE);
+		// System.exit(1);
+	}
+	
+	public abstract static class GAction extends AbstractAction {
+		
+		/**
+		 * 
+		 */
+		private static final long serialVersionUID = 1L;
+		
+		public GAction(String nom) {
+			super(nom);
+		}
+		
+		public GAction(String nom, Icon icone) {
+			super(nom, icone);
+		}
+		
+		public abstract void executer();
+		
+		@Override
+		public void actionPerformed(ActionEvent evt) {
+			try {
+				executer();
+			}
+			catch (Throwable ex) {
+				erreurFatale(ex);
+			}
+		}
+	}
+	
+	public abstract static class GActionClavier extends GAction {
+		
+		public GActionClavier(JComponent composant, String nom, String... touches) {
+			super(nom);
+			for (String touche : touches) {
+				composant.getInputMap(JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT).put(
+						KeyStroke.getKeyStroke(touche), nom);
+			}
+			composant.getActionMap().put(nom, this);
+		}
+	}
+	
+	public static class GProgression extends ProgressMonitor {
+		
+		private int compteur;
+		
+		private String elementsTraites;
+		
+		public GProgression(int max, String traitement, String elementsTraites) {
+			super(null, traitement + " en cours", "Démarrage", 0, max);
+			this.elementsTraites = elementsTraites;
+			// setMillisToPopup(0);
+			compteur = 0;
+		}
+		
+		public void setNbTraites(int nb) {
+			compteur = nb;
+			SwingUtilities.invokeLater(new MiseAJour());
+		}
+		
+		class MiseAJour implements Runnable {
+			
+			@Override
+			public void run() {
+				setProgress(compteur);
+				setNote(compteur + " " + elementsTraites + " traités");
+			}
+		}
+	}
+}
Index: tmp/org.txm.analec.rcp/src/visuAnalec/PanneauChamps.java
===================================================================
--- tmp/org.txm.analec.rcp/src/visuAnalec/PanneauChamps.java	(revision 3077)
+++ tmp/org.txm.analec.rcp/src/visuAnalec/PanneauChamps.java	(revision 3078)
@@ -22,127 +22,149 @@
  * @author Bernard, cplancq
  */
 public class PanneauChamps extends JPanel {
-  ArrayList<GChamp> champs = new ArrayList<GChamp>();
-  private Vue vue;
-  private Element element = null;
-  private Class<? extends Element> classe = null;
-  private String type = null;
-  private JPanel cadre;
-  public PanneauChamps(PanneauEditeur pEdit, Vue vue) {
-    super(new BorderLayout());
-    setBorder(new TitledBorder("Champs"));
-    cadre = new JPanel(new GridLayout(0, 1));
-    JScrollPane scroll = new JScrollPane(cadre);
-    add(scroll, BorderLayout.CENTER);
-    this.vue = vue;
-  }
-  void reafficher() {
-    if (element == null) return;
-    type = null;
-    afficher(element);
-  }
-  void afficher(Element elt) {
-    this.element = elt;
-    if (elt.getClass() != classe || !elt.getType().equals(type)) {
-      type = elt.getType();
-      classe = elt.getClass();
-      afficherTouslesChamps();
-    }
-    ((TitledBorder) getBorder()).setTitle("Champs " + GVisu.getNomDeLaClasse(elt) + " :  \"" +
-            vue.getIdElement(elt) + "\"");
-    for (GChamp gc : champs) {
-      gc.afficher(elt);
-    }
-    revalidate();
-    repaint();
-  }
-  void effacer() {
-    cadre.removeAll();
-    type = null;
-    element = null;
-    ((TitledBorder) getBorder()).setTitle("Champs");
-    revalidate();
-    repaint();
-  }
-  private void afficherTouslesChamps() {
-    cadre.removeAll();
-    champs.clear();
-
-    int niveau = 0;
-    for (String[] champsniveau : vue.getChamps(classe, type)) {
-      JPanel panneauniveau = new JPanel();
- //     panneauniveau.setBorder(new TitledBorder("Niveau " + ++niveau));
-      for (String champ : champsniveau) {
-        GChamp gc = new GChamp(vue, classe, type, champ);
-        champs.add(gc);
-        panneauniveau.add(gc);
-      }
-      cadre.add(panneauniveau);
-    }
-  }
-
-  private static class GChamp extends JPanel implements ActionListener {
-    JComboBox afficheValeurChamp;
-    Vue vue;
-    Class<? extends Element> classe;
-    String type;
-    String champ;
-    Element element = null;
-    GChamp(Vue vue, Class<? extends Element> classe, String type, String champ) {
-      super();
-      this.vue = vue;
-      this.classe = classe;
-      this.type = type;
-      this.champ = champ;
-      Box groupe = Box.createVerticalBox();
-      Box titre = Box.createHorizontalBox();
-      titre.add(Box.createHorizontalGlue());
-      JLabel label = new JLabel(champ, JLabel.CENTER);
- //     label.setPreferredSize(new Dimension(50, 10));
-      titre.add(label);
-      titre.add(Box.createHorizontalGlue());
-      groupe.add(titre);
-      groupe.add(Box.createVerticalStrut(2));
-      afficheValeurChamp = new JComboBox(vue.getValeursChamp(classe, type, champ));
-      /*
-      * CP: JComboBox avec autocompletion. Dépend de la lib glazedlists
-      * (http://www.glazedlists.com/), (https://github.com/glazedlists/glazedlists)
-      */
-      AutoCompleteSupport support = AutoCompleteSupport.install(afficheValeurChamp, GlazedLists.eventListOf(vue.getValeursChamp(classe, type, champ)));
-      support.setCorrectsCase(false);
-      afficheValeurChamp.setEditable(vue.isChampModifiable(classe, type, champ));
-      afficheValeurChamp.addActionListener(this);
-      groupe.add(afficheValeurChamp);
-      add(groupe);
-    }
-    void afficher(Element elt) {
-      this.element = elt;
-      afficheValeurChamp.removeActionListener(this);
-      String val = vue.getValeurChamp(elt, champ);
-      if (val.isEmpty()) afficheValeurChamp.setSelectedIndex(-1);
-      else afficheValeurChamp.setSelectedItem(val);
-      afficheValeurChamp.addActionListener(this);
-    }
-    public void actionPerformed(ActionEvent evt) {
-      try {
-        if (!afficheValeurChamp.isEditable()) {
-          JOptionPane.showMessageDialog(getTopLevelAncestor(), "Champ non modifiable pour ce type d'éléments",
-                  "Modification impossible", JOptionPane.ERROR_MESSAGE);
-          afficher(element);
-          return;
-        }
-        String newval = ((String) afficheValeurChamp.getSelectedItem());
-        if (newval == null) newval = "";
-        else newval = newval.trim();
-        
-        if (!vue.setValeurChamp(element, champ, newval)) {
-          JOptionPane.showMessageDialog(getTopLevelAncestor(), "Champ non défini pour cet élément",
-                  "Saisie de valeur de champ impossible", JOptionPane.ERROR_MESSAGE);
-          afficher(element);
-        }
-      } catch (Throwable ex) {
-        GMessages.erreurFatale(ex);
-      }
-    }
-  }
+	
+	ArrayList<GChamp> champs = new ArrayList<>();
+	
+	private Vue vue;
+	
+	private Element element = null;
+	
+	private Class<? extends Element> classe = null;
+	
+	private String type = null;
+	
+	private JPanel cadre;
+	
+	public PanneauChamps(PanneauEditeur pEdit, Vue vue) {
+		super(new BorderLayout());
+		setBorder(new TitledBorder("Champs"));
+		cadre = new JPanel(new GridLayout(0, 1));
+		JScrollPane scroll = new JScrollPane(cadre);
+		add(scroll, BorderLayout.CENTER);
+		this.vue = vue;
+	}
+	
+	void reafficher() {
+		if (element == null) return;
+		type = null;
+		afficher(element);
+	}
+	
+	void afficher(Element elt) {
+		this.element = elt;
+		if (elt.getClass() != classe || !elt.getType().equals(type)) {
+			type = elt.getType();
+			classe = elt.getClass();
+			afficherTouslesChamps();
+		}
+		((TitledBorder) getBorder()).setTitle("Champs " + GVisu.getNomDeLaClasse(elt) + " :  \"" +
+				vue.getIdElement(elt) + "\"");
+		for (GChamp gc : champs) {
+			gc.afficher(elt);
+		}
+		revalidate();
+		repaint();
+	}
+	
+	void effacer() {
+		cadre.removeAll();
+		type = null;
+		element = null;
+		((TitledBorder) getBorder()).setTitle("Champs");
+		revalidate();
+		repaint();
+	}
+	
+	private void afficherTouslesChamps() {
+		cadre.removeAll();
+		champs.clear();
+		
+		int niveau = 0;
+		for (String[] champsniveau : vue.getChamps(classe, type)) {
+			JPanel panneauniveau = new JPanel();
+			// panneauniveau.setBorder(new TitledBorder("Niveau " + ++niveau));
+			for (String champ : champsniveau) {
+				GChamp gc = new GChamp(vue, classe, type, champ);
+				champs.add(gc);
+				panneauniveau.add(gc);
+			}
+			cadre.add(panneauniveau);
+		}
+	}
+	
+	private static class GChamp extends JPanel implements ActionListener {
+		
+		JComboBox afficheValeurChamp;
+		
+		Vue vue;
+		
+		Class<? extends Element> classe;
+		
+		String type;
+		
+		String champ;
+		
+		Element element = null;
+		
+		GChamp(Vue vue, Class<? extends Element> classe, String type, String champ) {
+			super();
+			this.vue = vue;
+			this.classe = classe;
+			this.type = type;
+			this.champ = champ;
+			Box groupe = Box.createVerticalBox();
+			Box titre = Box.createHorizontalBox();
+			titre.add(Box.createHorizontalGlue());
+			JLabel label = new JLabel(champ, JLabel.CENTER);
+			// label.setPreferredSize(new Dimension(50, 10));
+			titre.add(label);
+			titre.add(Box.createHorizontalGlue());
+			groupe.add(titre);
+			groupe.add(Box.createVerticalStrut(2));
+			afficheValeurChamp = new JComboBox(vue.getValeursChamp(classe, type, champ));
+			/*
+			 * CP: JComboBox avec autocompletion. Dépend de la lib glazedlists
+			 * (http://www.glazedlists.com/), (https://github.com/glazedlists/glazedlists)
+			 */
+			AutoCompleteSupport<String> support = AutoCompleteSupport.install(afficheValeurChamp, GlazedLists.eventListOf(vue.getValeursChamp(classe, type, champ)));
+			support.setCorrectsCase(false);
+			afficheValeurChamp.setEditable(vue.isChampModifiable(classe, type, champ));
+			afficheValeurChamp.addActionListener(this);
+			groupe.add(afficheValeurChamp);
+			add(groupe);
+		}
+		
+		void afficher(Element elt) {
+			this.element = elt;
+			afficheValeurChamp.removeActionListener(this);
+			String val = vue.getValeurChamp(elt, champ);
+			if (val.isEmpty()) afficheValeurChamp.setSelectedIndex(-1);
+			else afficheValeurChamp.setSelectedItem(val);
+			afficheValeurChamp.addActionListener(this);
+		}
+		
+		@Override
+		public void actionPerformed(ActionEvent evt) {
+			try {
+				if (!afficheValeurChamp.isEditable()) {
+					JOptionPane.showMessageDialog(getTopLevelAncestor(), "Champ non modifiable pour ce type d'éléments",
+							"Modification impossible", JOptionPane.ERROR_MESSAGE);
+					afficher(element);
+					return;
+				}
+				String newval = ((String) afficheValeurChamp.getSelectedItem());
+				if (newval == null) newval = "";
+				else newval = newval.trim();
+				
+				if (!vue.setValeurChamp(element, champ, newval)) {
+					JOptionPane.showMessageDialog(getTopLevelAncestor(), "Champ non défini pour cet élément",
+							"Saisie de valeur de champ impossible", JOptionPane.ERROR_MESSAGE);
+					afficher(element);
+				}
+			}
+			catch (Throwable ex) {
+				GMessages.erreurFatale(ex);
+			}
+		}
+	}
 }
